COLOR_CHINESE_NAME_MAP = {
    "爱丽丝蓝": "aliceblue",
    "古董白": "antiquewhite",
    "水绿": "aqua",
    "碧绿": "aquamarine",
    "蔚蓝": "azure",
    "米": "beige",
    "桔黄": "bisque",
    "黑": "black",
    "杏仁白": "blanchedalmond",
    "蓝": "blue",
    "蓝紫": "blueviolet",
    "棕": "brown",
    "实木": "burlywood",
    "军服蓝": "cadetblue",
    "查特酒绿": "chartreuse",
    "巧克力": "chocolate",
    "珊瑚红": "coral",
    "矢车菊蓝": "cornflowerblue",
    "米绸": "cornsilk",
    "猩红": "crimson",
    "青": "cyan",
    "深蓝": "darkblue",
    "深青": "darkcyan",
    "暗金黄": "darkgoldenrod",
    "深灰": "darkgray",
    "深绿": "darkgreen",
    "深卡其布": "darkkhaki",
    "深洋红": "darkmagenta",
    "深橄榄绿": "darkolivegreen",
    "深橙": "darkorange",
    "暗紫": "darkorchid",
    "深红": "darkred",
    "深鲑鱼肉": "darksalmon",
    "深海绿": "darkseagreen",
    "深石板灰": "darkslateblue",
    "墨绿": "darkslategray",
    "深绿宝石": "darkturquoise",
    "深紫罗兰": "darkviolet",
    "深粉红": "deeppink",
    "深天蓝": "deepskyblue",
    "暗灰": "dimgray",
    "道奇蓝": "dodgerblue",
    "耐火砖": "firebrick",
    "花白": "floralwhite",
    "森林绿": "forestgreen",
    "紫红": "fuchsia",
    "亮灰": "gainsboro",
    "幽灵白": "ghostwhite",
    "金": "gold",
    "金麒麟": "goldenrod",
    "灰": "gray",
    "绿": "green",
    "绿黄": "greenyellow",
    "蜜瓜": "honeydew",
    "热粉红": "hotpink",
    "印度红": "indianred",
    "靛蓝": "indigo",
    "靛青": "indigo",
    "象牙": "ivory",
    "黄褐": "khaki",
    "薰衣草": "lavender",
    "薰衣草红": "lavenderblush",
    "草坪绿": "lawngreen",
    "柠檬绸": "lemonchiffon",
    "淡蓝": "lightblue",
    "淡珊瑚": "lightcoral",
    "淡青": "lightcyan",
    "淡金黄": "lightgoldenrodyellow",
    "浅灰": "lightgray",
    "浅绿": "lightgreen",
    "浅粉红": "lightpink",
    "浅鲑鱼": "lightsalmon",
    "浅海绿": "lightseagreen",
    "浅天蓝": "lightskyblue",
    "浅石板灰": "lightslategray",
    "浅钢蓝": "lightsteelblue",
    "浅黄": "lightyellow",
    "酸橙": "lime",
    "酸橙绿": "limegreen",
    "亚麻": "linen",
    "洋红": "magenta",
    "栗": "maroon",
    "中碧绿": "mediumaquamarine",
    "中蓝": "mediumblue",
    "中兰花紫": "mediumorchid",
    "中紫": "mediumpurple",
    "中海绿": "mediumseagreen",
    "中暗蓝": "mediumslateblue",
    "中春绿": "mediumspringgreen",
    "中绿宝石": "mediumturquoise",
    "中紫罗兰红": "mediumvioletred",
    "午夜蓝": "midnightblue",
    "薄荷": "mintcream",
    "薄雾玫瑰": "mistyrose",
    "鹿皮": "moccasin",
    "纳瓦白": "navajowhite",
    "海军蓝": "navy",
    "旧蕾丝": "oldlace",
    "橄榄": "olive",
    "橄榄褐": "olivedrab",
    "橙": "orange",
    "橙红": "orangered",
    "兰花": "orchid",
    "淡金菊": "palegoldenrod",
    "淡绿": "palegreen",
    "淡宝石绿": "paleturquoise",
    "淡紫罗兰红": "palevioletred",
    "番木瓜": "papayawhip",
    "桃肉": "peachpuff",
    "秘鲁": "peru",
    "粉红": "pink",
    "粉": "pink",
    "李子": "plum",
    "粉蓝": "powderblue",
    "紫": "purple",
    "红": "red",
    "玫瑰褐": "rosybrown",
    "皇家蓝": "royalblue",
    "马鞍棕": "saddlebrown",
    "鲑鱼": "salmon",
    "沙棕": "sandybrown",
    "海绿": "seagreen",
    "贝壳": "seashell",
    "黄土赭": "sienna",
    "银": "silver",
    "天蓝": "skyblue",
    "石板蓝": "slateblue",
    "石板灰": "slategray",
    "雪": "snow",
    "春绿": "springgreen",
    "钢蓝": "steelblue",
    "茶": "tan",
    "水鸭": "teal",
    "蓟": "thistle",
    "番茄": "tomato",
    "绿宝石": "turquoise",
    "紫罗兰": "violet",
    "小麦": "wheat",
    "白": "white",
    "烟雾白": "whitesmoke",
    "黄": "yellow",
    "黄绿": "yellowgreen",
}


if __name__ == "__main__":
    from pydantic.color import COLORS_BY_NAME

    nf = 0
    print("{")
    for color in COLORS_BY_NAME:
        if color.endswith("grey"):
            continue
        cns = tuple(k for k, v in COLOR_CHINESE_NAME_MAP.items() if v == color)
        if not cns:
            nf += 1
        cn = ",".join(cns) if cns else None
        print(f'    "{cn}": "{color}",')
    print("}")

    print(f"not found: {nf}")
